<?php
/**
 * Test script for Numbers::Words
 * Date: Fri, Nov 15 2002
 **/

error_reporting(E_ALL);

require_once('Numbers/Words.php');

$num = 1101010100;
$num = 1000000000;
$num = "1121000141";

$html_on = 0;
if (isset($_REQUEST)) {
  $html_on = 1;
}
if (isset($_REQUEST) && is_array($_REQUEST) && isset($_REQUEST['num'])) {
  $num = $_REQUEST['num'];
} elseif (isset($argv) && is_array($argv) && isset($argv[1])) {
  $num = $argv[1];
}

$shownum = $num;

while (strlen($shownum) % 3 != 0) {
  $shownum = " " . $shownum;
}

$shownum = ereg_replace("(...)", "\\1 ", $shownum);
$shownum = ereg_replace(" $", "", $shownum);

if ($html_on)
    echo "<center>Test number: <b><u>$shownum</u></b></center><p>\n";
else
    echo sprintf("%42s", 'Test number: ') . $shownum . "\n\n";

$lang = array(
  'de'     => 'German',
  'en_100' => 'Donald Knuth system',
  'en_GB'  => 'Britich English',
  'en_US'  => 'American English',
  'es'     => 'Spanish',
  'pl'     => 'Polish',
  'pt_BR'  => 'Brazilian Portuguese'
);

if ($html_on) {
?>
<center>
<table width="100%" border="1" cellspacing="0">
<tr>
  <th width="50">Symbol</th>
  <th width="100">Number system</th>
  <th width="100%">String</th>
</tr>
<?
}

while (list ($loc_symbol, $loc_name) = each ($lang)) {
  $ret = Numbers_Words::toWords($num, $loc_symbol);
  if (PEAR::isError($ret)) {
    if ($html_on) {
    }
    echo "Error ($loc_symbol): " . $ret->message . "\n";
    if ($html_on) {
    }
  } else {
    if ($html_on) {
      ?>
      <tr>
        <td align="center"><?php echo $loc_symbol; ?></td>
	<td><nobr><i><?php echo $loc_name; ?></i></nobr></td>
	<td><b><?php echo $ret; ?></b></td>
      </tr><?
    } else {
      echo sprintf("%40s: ", $loc_name . ' (' . $loc_symbol . ')') . $ret . "\n";
      if (strlen($ret) > 40)
          echo "\n";
    }
  }
}

if ($html_on) {
?>
</table>
</center>
<?
}

?>
